/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986,1988
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:bus.c 12.0$ */
/* $ACIS:bus.c 12.0$ */
/* $Source: /ibm/acis/usr/sys/cacons/RCS/bus.c,v $ */

#if !defined(lint) && !defined(NO_RCS_HDRS)
static char *rcsid = "$Header:bus.c 12.0$";
#endif

#include "../h/param.h"
#include "../machine/scr.h"	/* for CCR bits */

busopen(dev,flag)
register dev_t dev;
register int flag;
{

	/* grant permission to access segment F (IOBUS),
	 * allows access to storage and I/O map
	 */
	set_ccr(CCR_SMP|CCR_IMP);

	return(0);
}


busclose(dev)
register dev_t dev;
{

	/* don't allow access to storage map */
	set_ccr(~(CCR_SMP | CCR_IMP));

	return(0);
}
